List Tenant Automations
curl --request GET \
--url https://api.embedreach.com/api/automationsimport requests
url = "https://api.embedreach.com/api/automations"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.embedreach.com/api/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.embedreach.com/api/automations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.embedreach.com/api/automations"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.embedreach.com/api/automations")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.embedreach.com/api/automations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"data": {
"results": [
{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "draft",
"description": "<string>",
"isUsingDefaultTemplateCopy": true,
"emailsSent": 123,
"smsSent": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deactivatedAt": "2023-11-07T05:31:56Z",
"pausedAt": "2023-11-07T05:31:56Z",
"lastReleaseAt": "2023-11-07T05:31:56Z",
"triggerType": "one_time",
"includeSegmentIds": [
"<string>"
],
"excludeSegmentIds": [
"<string>"
],
"derivedRevenue": 123,
"automationType": "managed",
"categories": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"scope": "managed"
}
],
"extraMergeFieldsInUse": [
{
"id": "<string>",
"type": "static",
"templateName": "<string>",
"displayName": "<string>",
"staticValue": "<string>"
}
],
"triggerMetadata": "<unknown>",
"actionData": "<unknown>",
"agentSessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"pagination": {
"total": 123,
"hasNextPage": true,
"cursor": "<string>"
}
}
],
"pagination": {
"hasNextPage": true,
"cursor": "<string>",
"total": 123
}
}
}{
"message": "<string>",
"success": false,
"errors": [
"<string>"
]
}Tenant Automation
List Tenant Automations
List all tenant automations
GET
/
api
/
automations
List Tenant Automations
curl --request GET \
--url https://api.embedreach.com/api/automationsimport requests
url = "https://api.embedreach.com/api/automations"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.embedreach.com/api/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.embedreach.com/api/automations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.embedreach.com/api/automations"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.embedreach.com/api/automations")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.embedreach.com/api/automations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"data": {
"results": [
{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "draft",
"description": "<string>",
"isUsingDefaultTemplateCopy": true,
"emailsSent": 123,
"smsSent": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deactivatedAt": "2023-11-07T05:31:56Z",
"pausedAt": "2023-11-07T05:31:56Z",
"lastReleaseAt": "2023-11-07T05:31:56Z",
"triggerType": "one_time",
"includeSegmentIds": [
"<string>"
],
"excludeSegmentIds": [
"<string>"
],
"derivedRevenue": 123,
"automationType": "managed",
"categories": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"scope": "managed"
}
],
"extraMergeFieldsInUse": [
{
"id": "<string>",
"type": "static",
"templateName": "<string>",
"displayName": "<string>",
"staticValue": "<string>"
}
],
"triggerMetadata": "<unknown>",
"actionData": "<unknown>",
"agentSessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"pagination": {
"total": 123,
"hasNextPage": true,
"cursor": "<string>"
}
}
],
"pagination": {
"hasNextPage": true,
"cursor": "<string>",
"total": 123
}
}
}{
"message": "<string>",
"success": false,
"errors": [
"<string>"
]
}Headers
Query Parameters
The status(es) of the automation. Accepts a comma-separated list. By default we return all EXCEPT archived. Valid values are: draft, active, running, sending, completed, failed, cancelled, partially_cancelled, archived. 'scheduled' and 'deactivated' are accepted for backwards compatibility but return no results (statuses were removed).
The column to sort by, across the whole list. 'status' puts enabled automations (active, running, sending) first when descending. Ties fall back to type (custom first), then most recently modified. Requires sortDirection. Omit both to sort by most recently modified.
Available options:
name, type, status, updatedAt